Bug 187259 - Can't read /proc/mounts with SELinux enabled, boot fails
Can't read /proc/mounts with SELinux enabled, boot fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 12:14 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-targeted-2.2.28-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-31 20:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2006-03-29 12:14:32 EST
Description of problem:
Unless booted with "selinux=0", the machine won't boot: It gets "permission
denied" when accessing /proc/mounts (via fgrep and awk).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot
2.
3.
  
Actual results:
Hang, can't read /proc/mounts (I assume in /etc/rc.sysinit), and downhill from
there.

Expected results:


Additional info:
Comment 1 Horst H. von Brand 2006-03-31 20:09:58 EST
selinux-policy-targeted-2.2.28-3 fixed this.

Note You need to log in before you can comment on or make changes to this bug.